Name:           libcacard
Version:        2.8.1
Release:        1
Summary:        CAC (Common Access Card) library
License:        LGPLv2+
URL:            https://gitlab.freedesktop.org/spice/libcacard
Source0:        https://www.spice-space.org/download/libcacard/%{name}-%{version}.tar.xz
Source1:        https://www.spice-space.org/download/libcacard/%{name}-%{version}.tar.xz.sig
Source2:        gpgkey-A3DDE969.gpg
Source3:        db2.crypt
# https://gitlab.freedesktop.org/spice/libcacard/-/merge_requests/31
Patch1:         libcacard-2.8.1-sort-certificates.patch
Epoch:          41


BuildRequires:  gcc glib2-devel nss-devel softhsm opensc 
BuildRequires:  gnutls-utils nss-tools openssl gnupg2
BuildRequires:  meson gcc-c++ pcsc-lite-devel
Conflicts:      qemu-common < 2:2.5.0

%description
This package uses certificates read from NSS and separate pki containers to implement 
DoD CAC standard so that it can provide emulation of smart cards to a virtual card 
reader running in a guest virtual machine.

It implements DoD CAC standard with separate pki containers
(compatible coolkey), using certificates read from NSS.

%package        devel
Summary:        Provide development files for %{name}
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description    devel
This package provides libraries and header files for the development of libcacard

%prep
gpgv2 --quiet --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%setup -q
%patch1 -p1
cp %{SOURCE3} tests/

%build
%meson
%meson_build


%install
%meson_install

%ldconfig_scriptlets

%files
%license COPYING
%doc NEWS
%{_libdir}/libcacard.so.*

%files devel
%{_includedir}/cacard
%{_libdir}/libcacard.so
%{_libdir}/pkgconfig/libcacard.pc

%changelog
* Wed Jul 19 2023 Tianze Li <litianze@uniontech.com> - 41:2.8.1-1
- Update to upstream release

* Thu Dec 22 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 41:2.8.0-2
- update epoch to 41

* Fri Jan 29 2021 zhanzhimin <zhanzhimin@huawei.com> - 3:2.8.0-1
- update to 2.8.0

* Fri Aug 21 2020 orange_snn <songnannan2@huawei.com> - 3:2.7.0-4
- delete the check

* Wed Feb 5 2020 openEuler Buildteam <buildteam@openeuler.org> - 3:2.7.0-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: enable test cases

* Thu Jan 9 2020 openEuler Buildteam <buildteam@openeuler.org> - 3:2.7.0-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: optimization the spec

* Sat Oct 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 3:2.7.0-1
- Package init
